/*------------------- DUMMY BOOT LOADER --------------------------------------------*/
#define  FLASH_BLOCK_SIZE     getenv("FLASH_ERASE_SIZE")/2 // Minimal length of Flash Block Size
#define  RESERVED_BLOCKS      53  // Number of reserved flash blocks for BootLoader
#define  LOADER_RESERVED      (getenv("PROGRAM_MEMORY")-(RESERVED_BLOCKS*FLASH_BLOCK_SIZE)) // begining of BootLoader

#BUILD(INTERRUPT=FLASH_BLOCK_SIZE)   // Redirect Interrupt routine above first flash block
#ORG 4,5
void JumpToTheInterrupt()     // Jump to the Interrupt Handler
{ #asm GOTO FLASH_BLOCK_SIZE #endasm }
#ORG 6,FLASH_BLOCK_SIZE-1 {} // First Flash block is reserved

#ORG LOADER_RESERVED,getenv("PROGRAM_MEMORY")-1 auto=0
#SEPARATE
void dummy_main() // Main on the fix position
{
   reset_cpu();
}
